package com.qianhe.service;

import com.qianhe.domain.SjZdbfZsdwkhpjfjx;

import java.util.List;

/**
 * 指导帮扶-基层单位考核评价否决项Service接口
 *
 * @author qianhe
 * @date 2024-07-24
 */
public interface ISjZdbfJcdwkhpjfjxService
{
    /**
     * 查询指导帮扶-基层单位考核评价否决项
     *
     * @param id 指导帮扶-基层单位考核评价否决项主键
     * @return 指导帮扶-基层单位考核评价否决项
     */
    public SjZdbfZsdwkhpjfjx selectSjZdbfZsdwkhpjfjxById(Long id);

    /**
     * 查询指导帮扶-基层单位考核评价否决项列表
     *
     * @param sjZdbfZsdwkhpjfjx 指导帮扶-基层单位考核评价否决项
     * @return 指导帮扶-基层单位考核评价否决项集合
     */
    public List<SjZdbfZsdwkhpjfjx> selectSjZdbfZsdwkhpjfjxList(SjZdbfZsdwkhpjfjx sjZdbfZsdwkhpjfjx);

    /**
     * 新增指导帮扶-基层单位考核评价否决项
     *
     * @param sjZdbfZsdwkhpjfjx 指导帮扶-基层单位考核评价否决项
     * @return 结果
     */
    public int insertSjZdbfZsdwkhpjfjx(SjZdbfZsdwkhpjfjx sjZdbfZsdwkhpjfjx);

    /**
     * 修改指导帮扶-基层单位考核评价否决项
     *
     * @param sjZdbfZsdwkhpjfjx 指导帮扶-基层单位考核评价否决项
     * @return 结果
     */
    public int updateSjZdbfZsdwkhpjfjx(SjZdbfZsdwkhpjfjx sjZdbfZsdwkhpjfjx);

    /**
     * 批量删除指导帮扶-基层单位考核评价否决项
     *
     * @param ids 需要删除的指导帮扶-基层单位考核评价否决项主键集合
     * @return 结果
     */
    public int deleteSjZdbfZsdwkhpjfjxByIds(Long[] ids);

    /**
     * 删除指导帮扶-基层单位考核评价否决项信息
     *
     * @param id 指导帮扶-基层单位考核评价否决项主键
     * @return 结果
     */
    public int deleteSjZdbfZsdwkhpjfjxById(Long id);

    int batchSave(List<SjZdbfZsdwkhpjfjx> fjxList);

    int pledit(List<SjZdbfZsdwkhpjfjx> list);

}
